## golang-github-prometheus-tsdb 0.0~git20180118.467948f

=== cmd/tsdb/Makefile ===
build:
	@go build .
	
bench: build 
	@echo ">> running benchmark"
	@./tsdb bench write --metrics=$(NUM_METRICS) testdata.1m
	@go tool pprof -svg ./tsdb benchout/cpu.prof > benchout/cpuprof.svg
	@go tool pprof --inuse_space -svg ./tsdb benchout/mem.prof > benchout/memprof.inuse.svg
	@go tool pprof --alloc_space -svg ./tsdb benchout/mem.prof > benchout/memprof.alloc.svg
	@go tool pprof -svg ./tsdb benchout/block.prof > benchout/blockprof.svg
	@go tool pprof -svg ./tsdb benchout/mutex.prof > benchout/mutexprof.svg

## golang-github-prometheus-tsdb 0.0~git20171114.a00d700

=== debian/changelog ===
golang-github-prometheus-tsdb (0.0~git20171114.a00d700-1) unstable; urgency=medium

  * Initial release. Closes: #883900

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Dec 2017 23:03:14 +0000

=== debian/control ===
Source: golang-github-prometheus-tsdb
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-cespare-xxhash-dev,
               golang-github-go-kit-kit-dev,
               golang-github-nightlyone-lockfile-dev,
               golang-github-oklog-ulid-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-tsdb.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-tsdb.git
Homepage: https://github.com/prometheus/tsdb
XS-Go-Import-Path: github.com/prometheus/tsdb

Package: golang-github-prometheus-tsdb-dev
Architecture: all
Depends: golang-github-cespare-xxhash-dev,
         golang-github-go-kit-kit-dev,
         golang-github-nightlyone-lockfile-dev,
         golang-github-oklog-ulid-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Prometheus storage layer library
 This package contains the new Prometheus storage layer that will
 be used in its 2.0 release.

## golang-github-prometheus-tsdb 0.0~git20180118.467948f

=== debian/changelog ===
golang-github-prometheus-tsdb (0.0~git20180118.467948f-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * New upstream snapshot.
  * No need to vendor prometheus/pkg any more.
  * Refresh patches.
  * debian/control: Update S-V.
  * debian/control: Depend on golang 1.9, as the code uses math/bits.
  * debian/copyright: Update paths.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 19:50:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 10~),
                dh-golang (>= 1.17~),
-               golang-any,
+               golang-any (>= 2:1.9~),
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-kit-dev,
                golang-github-nightlyone-lockfile-dev,
@@ -16,7 +16,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-tsdb.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-tsdb.git
 Homepage: https://github.com/prometheus/tsdb

## golang-github-prometheus-tsdb 0.0~git20180314.659ed64

=== debian/changelog ===
golang-github-prometheus-tsdb (0.0~git20180314.659ed64-1) unstable; urgency=high

  * New upstream snapshot, fixes serious bugs.

 -- Martín Ferrari <tincho@debian.org>  Thu, 29 Mar 2018 09:10:38 +0000

golang-github-prometheus-tsdb (0.0~git20180302.16b2bf1-1) unstable; urgency=medium

  * New upstream snapshot, for prometheus 2.2.0.

 -- Martín Ferrari <tincho@debian.org>  Wed, 14 Mar 2018 14:13:48 +0000

## golang-github-prometheus-tsdb 0.0~git20180711.99a2c43

=== debian/changelog ===
golang-github-prometheus-tsdb (0.0~git20180711.99a2c43-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream snapshot, for prometheus 2.2.3.
  * Vendor prometheus/util to avoid circular dependency.
  * Bump Standards-Version and dh compat level.
  * debian/docs: Update path.

 -- Martín Ferrari <tincho@debian.org>  Sat, 28 Jul 2018 14:43:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11~),
                dh-golang (>= 1.17~),
                golang-any (>= 2:1.9~),
                golang-github-cespare-xxhash-dev,
@@ -16,9 +16,9 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.1.3.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-tsdb.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-tsdb.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-tsdb
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-tsdb.git
 Homepage: https://github.com/prometheus/tsdb
 XS-Go-Import-Path: github.com/prometheus/tsdb

## golang-github-prometheus-tsdb 0.0~git20180921.9c8ca47

=== debian/changelog ===
golang-github-prometheus-tsdb (0.0~git20180921.9c8ca47-1) unstable; urgency=medium

  * New upstream snapshot, for prometheus 2.4.3.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Oct 2018 15:28:54 +0000

## golang-github-prometheus-tsdb 0.0~git20181003.0ce4111

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

TSDB_PROJECT_DIR = "."
TSDB_CLI_DIR="$(TSDB_PROJECT_DIR)/cmd/tsdb"
TSDB_BIN = "$(TSDB_CLI_DIR)/tsdb"
TSDB_BENCHMARK_NUM_METRICS ?= 1000
TSDB_BENCHMARK_DATASET ?= "$(TSDB_PROJECT_DIR)/testdata/20kseries.json"
TSDB_BENCHMARK_OUTPUT_DIR ?= "$(TSDB_CLI_DIR)/benchout"

STATICCHECK_IGNORE =
include Makefile.common

build:
	@$(GO) build -o $(TSDB_BIN) $(TSDB_CLI_DIR)

bench: build
	@echo ">> running benchmark, writing result to $(TSDB_BENCHMARK_OUTPUT_DIR)"
	@$(TSDB_BIN) bench write --metrics=$(TSDB_BENCHMARK_NUM_METRICS) --out=$(TSDB_BENCHMARK_OUTPUT_DIR) $(TSDB_BENCHMARK_DATASET)
	@$(GO) tool pprof -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/cpu.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/cpuprof.svg
	@$(GO) tool pprof --inuse_space -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.inuse.svg
	@$(GO) tool pprof --alloc_space -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
	@$(GO) tool pprof -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
	@$(GO) tool pprof -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg

=== debian/changelog ===
golang-github-prometheus-tsdb (0.0~git20181003.0ce4111-1) unstable; urgency=medium

  * New upstream snapshot, for prometheus 2.5.0.

 -- Martín Ferrari <tincho@debian.org>  Sun, 11 Nov 2018 18:07:00 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-tsdb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-tsdb.git
 Homepage: https://github.com/prometheus/tsdb

## golang-github-prometheus-tsdb 0.3.1

=== debian/changelog ===
golang-github-prometheus-tsdb (0.3.1-1) unstable; urgency=medium

  * New upstream release, for prometheus 2.6.0.
  * debian/watch: Watch upstream tags now.

 -- Martín Ferrari <tincho@debian.org>  Wed, 19 Dec 2018 15:24:40 +0000

## golang-github-prometheus-tsdb 0.4.0

=== debian/changelog ===
golang-github-prometheus-tsdb (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Feb 2019 04:04:38 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-tsdb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-tsdb.git
 Homepage: https://github.com/prometheus/tsdb

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := github.com/prometheus/tsdb/cmd
export DH_GOLANG_INSTALL_EXTRA := testdata/

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build: DH_GOLANG_EXCLUDES += github.com/prometheus/tsdb/test
override_dh_auto_build:
	dh_auto_build

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-prometheus-tsdb-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$//,\
  https://github.com/prometheus/tsdb/tags .*/v?(\d\S*)\.tar\.gz
